Subject: Re: [RFC PATCH 12/19] powerpc: gamecube: platform support

From: Albert Herranz <[email-masked]>
Date: Thu, 26 Nov 2009 23:07:25 +0100

Segher Boessenkool wrote:
>> We need it as it currently doesn't match with the default bus ids.
> 
>> Should I introduce a .type property matching any of those above in the
>> soc node, and get rid of the explicit bus probe?
> 
> You don't need any fake bus as far as I can see, just probe the devices
> you want.
> 

But it's way easier to let the bus probe do it for us. I don't see the win here.

> Segher

Thanks,
Albert